diff -Nurd -x'*~' libopenraw-0.0.9.orig/configure libopenraw-0.0.9/configure
--- libopenraw-0.0.9.orig/configure	2011-11-13 16:04:00.000000000 -0500
+++ libopenraw-0.0.9/configure	2013-04-19 09:17:34.000000000 -0400
@@ -16412,16 +16412,6 @@
 fi
 
 
-SHAVE_SAVED_LIBTOOL=$LIBTOOL
-
-LIBTOOL="\$(SHELL) \$(shavedir)/shave-libtool '\$(SHAVE_SAVED_LIBTOOL)'"
-
-SHAVE_SAVED_CC=$CC
-SHAVE_SAVED_CXX=$CXX
-
-
-CC="\$(SHELL) \$(shavedir)/shave cc '\$(SHAVE_SAVED_CC)'"
-CXX="\$(SHELL) \$(shavedir)/shave cxx '\$(SHAVE_SAVED_CXX)'"
 
 
 
diff -Nurd -x'*~' libopenraw-0.0.9.orig/demo/Makefile.in libopenraw-0.0.9/demo/Makefile.in
--- libopenraw-0.0.9.orig/demo/Makefile.in	2011-11-13 16:03:59.000000000 -0500
+++ libopenraw-0.0.9/demo/Makefile.in	2014-02-10 07:20:31.000000000 -0500
@@ -287,7 +287,7 @@
 top_srcdir = @top_srcdir@
 @BUILD_GNOME_SUPPORT_TRUE@GNOME_BINARIES = gdk pixbufload
 INCLUDES = -I$(top_srcdir)/include  -I$(top_srcdir)/gnome/include \
-	@LIBGDKPIXBUF_CFLAGS@
+	@LIBGDKPIXBUF_CFLAGS@ ${BOOST_CPPFLAGS}
 
 LIBOPENRAW_LIBS = ../lib/libopenraw.la -lstdc++ -ljpeg
 LIBOPENRAWGNOME_LIBS = ../gnome/libopenrawgnome.la -lstdc++ -ljpeg \
diff -Nurd -x'*~' libopenraw-0.0.9.orig/lib/Makefile.in libopenraw-0.0.9/lib/Makefile.in
--- libopenraw-0.0.9.orig/lib/Makefile.in	2011-11-13 16:03:59.000000000 -0500
+++ libopenraw-0.0.9/lib/Makefile.in	2014-02-10 07:16:40.000000000 -0500
@@ -307,7 +307,7 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-INCLUDES = -I$(top_srcdir)/include 
+INCLUDES = -I$(top_srcdir)/include ${BOOST_CPPFLAGS}
 SUBDIRS = io capi
 EXTRA_DIST = libopenraw.sym libopenraw-1.0.pc.in
 pkgconfig_DATA = libopenraw-1.0.pc
diff -Nurd -x'*~' libopenraw-0.0.9.orig/lib/capi/Makefile.in libopenraw-0.0.9/lib/capi/Makefile.in
--- libopenraw-0.0.9.orig/lib/capi/Makefile.in	2011-11-13 16:03:59.000000000 -0500
+++ libopenraw-0.0.9/lib/capi/Makefile.in	2014-02-10 07:15:00.000000000 -0500
@@ -222,7 +222,7 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/lib 
+INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/lib ${BOOST_CPPFLAGS}
 noinst_LTLIBRARIES = libopenrawc.la
 libopenrawc_la_SOURCES = capi.cpp debug.cpp rawdata.cpp \
 	rawfile.cpp bitmapdata.cpp \
diff -Nurd -x'*~' libopenraw-0.0.9.orig/lib/io/Makefile.in libopenraw-0.0.9/lib/io/Makefile.in
--- libopenraw-0.0.9.orig/lib/io/Makefile.in	2011-11-13 16:03:59.000000000 -0500
+++ libopenraw-0.0.9/lib/io/Makefile.in	2014-02-10 07:13:13.000000000 -0500
@@ -241,7 +241,7 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-INCLUDES = -I$(top_srcdir)/include -I$(srcdir)/..
+INCLUDES = -I$(top_srcdir)/include -I$(srcdir)/.. ${BOOST_CPPFLAGS}
 noinst_LTLIBRARIES = libio.la
 noinst_HEADERS = posix_io.h io_private.h \
 	stream.h streamclone.h memstream.h file.h
diff -Nurd -x'*~' libopenraw-0.0.9.orig/lib/jfifcontainer.cpp libopenraw-0.0.9/lib/jfifcontainer.cpp
--- libopenraw-0.0.9.orig/lib/jfifcontainer.cpp	2013-07-28 12:13:49.000000000 -0400
+++ libopenraw-0.0.9/lib/jfifcontainer.cpp	2013-07-28 12:15:56.000000000 -0400
@@ -145,7 +145,7 @@
 		{
 			int ret = 0;
 			if (::setjmp(m_jpegjmp) == 0) {
-				ret = JPEG::jpeg_read_header(&m_cinfo, TRUE);
+			  ret = JPEG::jpeg_read_header(&m_cinfo, JPEG::TRUE);
 				//Trace(DEBUG1) << "jpeg_read_header " << ret << "\n";
 				
 				JPEG::jpeg_calc_output_dimensions(&m_cinfo);
@@ -181,7 +181,7 @@
 				src->pub.next_input_byte = NULL;
 				src->pub.bytes_in_buffer = 0;
 			}
-			return TRUE;
+			return JPEG::TRUE;
 		}
 
 
diff -Nurd -x'*~' libopenraw-0.0.9.orig/test/Makefile.in libopenraw-0.0.9/test/Makefile.in
--- libopenraw-0.0.9.orig/test/Makefile.in	2011-11-13 16:04:00.000000000 -0500
+++ libopenraw-0.0.9/test/Makefile.in	2014-02-10 07:25:17.000000000 -0500
@@ -264,11 +264,11 @@
 OPENRAW_LIB = $(top_builddir)/lib/libopenraw.la
 INCLUDES = \
 	-I$(top_srcdir)/include \
-	-I$(top_srcdir)/lib
+	-I$(top_srcdir)/lib ${BOOST_CPPFLAGS}
 
 EXTRA_DIST = ljpegtest1.jpg
 fileio_LDFLAGS = -L$(top_builddir)/lib/io
-fileio_LDADD = -lio
+fileio_LDADD = ../lib/libopenraw.la
 fileio_SOURCES = fileio.t.c
 extensions_SOURCES = extensions.cpp
 extensions_LDFLAGS = -static $(OPENRAW_LIB)
diff -Nurd -x'*~' libopenraw-0.0.9.orig/testsuite/Makefile.in libopenraw-0.0.9/testsuite/Makefile.in
--- libopenraw-0.0.9.orig/testsuite/Makefile.in	2011-11-13 16:04:00.000000000 -0500
+++ libopenraw-0.0.9/testsuite/Makefile.in	2014-02-10 07:18:53.000000000 -0500
@@ -251,7 +251,7 @@
 INCLUDES = \
 	-I$(top_srcdir)/include \
 	-I$(top_srcdir)/lib \
-	@LIBXML_CFLAGS@ @CURL_CFLAGS@
+	@LIBXML_CFLAGS@ @CURL_CFLAGS@ ${BOOST_CPPFLAGS}
 
 noinst_HEADERS = testsuitetags.h
 EXTRA_DIST = testsuitetags.pl testsuitetags.txt test.xml testsuite.xml
diff -Nurd -x'*~' libopenraw-0.0.9.orig/tools/Makefile.in libopenraw-0.0.9/tools/Makefile.in
--- libopenraw-0.0.9.orig/tools/Makefile.in	2011-11-13 16:04:00.000000000 -0500
+++ libopenraw-0.0.9/tools/Makefile.in	2014-02-10 07:22:19.000000000 -0500
@@ -225,7 +225,7 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-INCLUDES = -I$(top_srcdir)/include
+INCLUDES = -I$(top_srcdir)/include ${BOOST_CPPFLAGS}
 ordiag_SOURCES = ordiag.cpp
 ordiag_LDADD = $(top_builddir)/lib/libopenraw.la  -lstdc++ -ljpeg
 ordiag_LDFLAGS = -L$(top_builddir)/lib -static